CharTreeWriter (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl.writer

## Class CharTreeWriter

- java.lang.Object
- - org.apache.orc.impl.writer.TreeWriterBase
  - - org.apache.orc.impl.writer.StringBaseTreeWriter
    - - org.apache.orc.impl.writer.CharTreeWriter

- All Implemented Interfaces:
    TreeWriter

      public class CharTreeWriter
      extends StringBaseTreeWriter

  Under the covers, char is written to ORC the same way as string.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.orc.impl.writer.TreeWriter

      `TreeWriter.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.writer.StringBaseTreeWriter

      `dictionary, directStreamOutput, lengthOutput, rows, useDictionaryEncoding`

    - ### Fields inherited from class org.apache.orc.impl.writer.TreeWriterBase

      `bloomFilter, bloomFilterEntry, bloomFilterUtf8, context, createBloomFilter, encryption, fileStatistics, id, indexStatistics, isPresent, rowIndexPosition, schema, stripeColStatistics`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeBatch(ColumnVector vector, int offset, int length)` Write the values from the given vector from offset for length elements.

    - ### Methods inherited from class org.apache.orc.impl.writer.StringBaseTreeWriter

      `createRowIndexEntry, estimateMemory, flushStreams, getRawDataSize, prepareStripe, writeStripe`

    - ### Methods inherited from class org.apache.orc.impl.writer.TreeWriterBase

      `addStripeStatistics, getCurrentStatistics, getRowIndex, getRowIndexEntry, getStripeStatistics, writeFileStatistics, writeRootBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeBatch

          public void writeBatch(ColumnVector vector,
                                 int offset,
                                 int length)
                          throws IOException

      Description copied from class: `TreeWriterBase`
      Write the values from the given vector from offset for length elements.
      Specified by:
        `writeBatch` in interface `TreeWriter`
      Overrides:
        `writeBatch` in class `TreeWriterBase`
      Parameters:
        `vector` - the vector to write from
        `offset` - the first value from the vector to write
        `length` - the number of values from the vector to write
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.